$plus-size: 21px;
$plus-padding: 6px;

.yy-tree {
  &>.yy-tree__ul {
    padding-left: 0;
  }
}
.yy-tree__ul {
  padding-left: $plus-size + .3;
}
.yy-tree__li {
  list-style-type: none;
}
.yy-tree__item {
  /*display: inline-block;
  padding-right: $plus-size;
  white-space: nowrap;
  &>* {
    white-space: normal;
    display: inline-block;
  }*/
  display: table;
  &>* {
    display: table-cell;
    vertical-align: top;
  }
}
.yy-tree__item--active {
  color: #dd3e44;
}
.yy-tree__item__node-icon {
  text-align: center;
  padding: 0 $plus-padding;
}
.yy-tree__item__icon {
  height: $plus-size;
  width: $plus-size;
  background-image: none;
  background-repeat: no-repeat;
  background-position: top left;
  background-size: $plus-size;
  vertical-align: top;
  cursor: pointer;
  display: inline-block;
}
.yy-tree__item__text {
  padding-left: 6px;
}
.yy-tree__item--has-child {
  &+.yy-tree__ul {
    display: none;
  }
  .yy-tree__item__icon {
    background-image: url(../images/plus.svg);
  }
}
.yy-tree__item--has-child--opened {
  &+.yy-tree__ul {
    display: block;
  }
  .yy-tree__item__icon {
    background-image: url(../images/minus.svg);
  }
}

.yy-tree--small-font {

  $level1: 14px;
  $level2: 10px;
  $level3: 6px;
  &>.yy-tree__ul>.yy-tree__li {
    font-size: 18px;
    margin: 0;
    &~.yy-tree__li {
      margin: $level1 0;
    }
  }
  &>.yy-tree__ul>.yy-tree__li>.yy-tree__ul>.yy-tree__li {
    font-size: 16px;
    margin: $level1 0 $level2;
    &~.yy-tree__li {
      margin: $level2 0;
    }
  }
  &>.yy-tree__ul>.yy-tree__li>.yy-tree__ul>.yy-tree__li>.yy-tree__ul>.yy-tree__li {
    font-size: 14px;
    margin: $level2 0 $level3;
    &>.yy-tree__item>.yy-tree__item__text {
      padding-top: 3px;
    }
    &~.yy-tree__li {
      margin: $level3 0;
    }
  }
  &>.yy-tree__ul>.yy-tree__li>.yy-tree__ul>.yy-tree__li>.yy-tree__ul>.yy-tree__li .yy-tree__li {
    font-size: 14px;
    margin: $level3 0 ;
    &>.yy-tree__item>.yy-tree__item__text {
      padding-top: 3px;
    }
    &~.yy-tree__li {
      margin: $level3 0;
    }
  }
}


form.yy-tree {
  .yy-tree__ul {
    padding-left: $plus-size + $plus-padding*2;
  }
  &>.yy-tree__ul {
    padding-left: 0;
    margin: 0 0 14px;
    &>.yy-tree__li {
      border-top: $border-1;
      border-bottom: $border-1;
      &:hover {
        background: #f7f9fa;
      }
      &~.yy-tree__li {
        border-top: none;
      }
    }
    &>.yy-tree__li>.yy-tree__ul {
      padding-top: 6px;
      padding-bottom: 6px;
    }
    &>.yy-tree__li>.yy-tree__ul>.yy-tree__li {
      .yy-tree__item {
        padding: 6px 0;
      }
    }
  }
  .yy-tree__item {
    padding: 11px 0;
  }
  .yy-tree__item__text {
    width: 100%;
  }
  .yy-tree__item__text>a {
    color: inherit;
    text-decoration: none;
  }
  label {
    cursor: pointer;
  }
  input[type=checkbox] {
    width: $plus-size - 4;
    height: $plus-size - 4;
    margin: 2px;
    cursor: pointer;
  }
  .yy-button {
    font-size: 14px;
  }
  .yy-button--red {
    margin: -3px 0;
  }
}
.yy-tree__item__number {
  text-align: center;
  padding: 0 $plus-padding;
}
.yy-tree__item__price {
  width: 80px;
  padding-right: 6px;
}






/*
.i-list {
  $plus-size: 1.5em;
  padding-left: 0;
  ul {
    padding-left: $plus-size + .3;
  }
  li {
    list-style-type: none;
    &>div {
      white-space: nowrap;
      &>* {
        white-space: normal;
        display: inline-block;
      }
      .plus-icon {
        height: $plus-size;
        width: $plus-size;
        background-image: none;
        background-repeat: no-repeat;
        background-position: top left;
        background-size: cover;
        vertical-align: top;
        padding-right: 0;
      }
    }
  }
  .collapsible {
    &>div>.click-area {
      cursor: pointer;
    }
    &>div {
      .plus-icon {
        background-image: url(../images/plus.svg);
      }
    }
    &>ul {
      display: none;
    }
    &.opened {
      &>div>.plus-icon {
        background-image: url(../images/minus.svg);
      }
      &>ul {
        display: block;
      }
    }
  }
  .current {
    &>div {
      color: red;
    }
  }
  .li-body {
    padding: .2em $plus-size+.4 .5em .7em;
  }
}*/
